#ifndef H_cStack
#define H_cStack

template <class T> class cStack{
protected:
	struct sStackNode{
		T Data;
		sStackNode *Link;
	} *Top;

public:
	cStack();
	~cStack();
	void Clear();
	// Operation
	bool IsEmpty();
	void Push(T &NewData);
	bool Pop(T *Data);
	bool GetTop(T *Data);

};

#endif
